﻿using GpsCardGatewayPosition.Common.Helper;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.Biz.Location.Dto.Gaode
{
    //高德接口返回的json对字符串的处理比较特殊，空字符串是用[]表示
    public class GaodeWifiResponseInfo
    {
        [JsonProperty("infocode")]
        [JsonConverter(typeof(StringJsonConvert))]
        public string InfoCode { get; set; }
        [JsonProperty("result")]
        public WifiResponseDetails Result { get; set; }
        [JsonProperty("info")]
        [JsonConverter(typeof(StringJsonConvert))]
        public string Info { get; set; }
        [JsonProperty("status")]
        [JsonConverter(typeof(StringJsonConvert))]
        public string Status { get; set; }

        public class WifiResponseDetails
        {
            [JsonProperty("city")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string City { get; set; }
            [JsonProperty("province")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Province { get; set; }
            [JsonProperty("poi")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Poi { get; set; }
            [JsonProperty("adcode")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Adcode { get; set; }
            [JsonProperty("street")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Street { get; set; }
            [JsonProperty("desc")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Desc { get; set; }
            [JsonProperty("country")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Country { get; set; }
            [JsonProperty("type")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Type { get; set; }
            [JsonProperty("location")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Location { get; set; }
            [JsonProperty("road")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Road { get; set; }
            [JsonProperty("radius")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Radius { get; set; }
            [JsonProperty("citycode")]
            [JsonConverter(typeof(StringJsonConvert))]
            public string Citycode { get; set; }
        }
    }
}
