﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.Resolver.Property.Dto
{
    public class TemperatureInfoModel
    {
        //deviceId = "", imei = "", tempTime = "", tempAddress = "广东省，佛山，南海，桂城瀚天科技城", tempValue = 36.1
        public string DeviceId { get; set; }
        /// <summary>
        /// 设备昵称
        /// </summary>
        public string DeviceName { get; set; }

        public string Imei { get; set; }
        public string TempId { get; set; }
        /// <summary>
        /// 测温时间
        /// </summary>
        public DateTime? TempTime { get; set; }
        /// <summary>
        /// 省
        /// </summary>
        public string Province { get; set; }
        /// <summary>
        /// 市
        /// </summary>
        public string City { get; set; }
        /// <summary>
        /// 县区
        /// </summary>
        public string District { get; set; }
        /// <summary>
        /// POI地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 体温值
        /// </summary>
        public decimal? Temperature { get; set; }

        public string DeviceKey { get; set; }

    }
}
